Get jail guest information
GET
/jail/{ctid}/guest-info
const url = 'https://sylve.lan:8181/api/jail/1/guest-info';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/jail/1/guest-info \ --header 'Authorization: <Authorization>'Best-effort OS and live network information for running FreeBSD jails. Available is false when inspection is unsupported or tools are unavailable.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ctid
required
integer
Jail CTID
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
available
boolean
interfaces
Array<object>
object
hardwareAddress
string
ipAddresses
Array<object>
object
address
string
prefix
integer
type
string
name
string
statistics
object
rxBytes
integer
txBytes
integer
networkMode
string
osInfo
object
architecture
string
kernelRelease
string
name
string
version
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "available": true, "interfaces": [ { "hardwareAddress": "example", "ipAddresses": [ { "address": "example", "prefix": 1, "type": "example" } ], "name": "example", "statistics": { "rxBytes": 1, "txBytes": 1 } } ], "networkMode": "example", "osInfo": { "architecture": "example", "kernelRelease": "example", "name": "example", "version": "example" } }, "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Jail Not Found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}